apiVersion: apps/v1
kind: Deployment
metadata:
  name: web-test
  labels:
    app: nginx
spec:
  replicas: 5
  selector:
    matchLabels:
      app: nginx
  template:
    metadata:
      labels:
        app: nginx
    spec:
      containers:
      - name: nginx
        image: nginx
        resources:
            limits:
              cpu: "50m"
              memory: "256Mi"
